Jump to content
CafeJr

Plot Views, sheets at the same Model Space.

Recommended Posts

CafeJr

Hi to everyone!...

 

 

Someone knows a Lisp to plot a internal sheets of a model space file? Eg.: I have a dwg file with 10 sheets internal, I know how to put name at each sheet (NEWVIEW) and it appears at same place of Extend, Display or Window at plot configuration screen. If I put names as a numbers: 1, 2, 3,..., 10, it's possible to select one page or all to plot at the same time? Or create a Lisp that can help it!?...

 

 

Thanks in advance!...

 

 

Its possible using a comand:

-plot

Detailed plot configuration? [Yes/No] : y

Enter a layout name or [?] :

Enter an output device name or [?] : Canon iR2525

Enter paper size or [?] :

Enter paper units [inches/Millimeters] : m

Enter drawing orientation [Portrait/Landscape] :

Plot upside down? [Yes/No] :

Enter plot area [Display/Extents/Limits/View/Window] : v

Enter view name : 3 (the view name)

Enter plot scale (Plotted Millimeters=Drawing Units) or [Fit] :

Enter plot offset (x,y) or

: c

Plot with plot styles? [Yes/No] :

Enter plot style table name or [?] (enter . for none) :

Plot with lineweights? [Yes/No] :

Enter shade plot setting [As displayed/legacy Wireframe/legacy Hidden/Visual styles/Rendered] :

Write the plot to a file [Yes/No] :

Save changes to page setup [Yes/No]?

Proceed with plot [Yes/No] :

Share this post


Link to post
Share on other sites
CafeJr
Have a look at this I think you imply all is in model space. this is plot all in model space could be changed to views, plotting a range is achieveable by checking sheet id 1,2 ,3 etc Check my post

 

http://www.cadtutor.net/forum/showthread.php?67143-One-Click-Printing

 

 

Thanks Bigal!...

 

Its help me alot!... Is exactly that I was looking for!...

Share this post


Link to post
Share on other sites
CafeJr

Bigal, do you know if is possible to get more than one item to select to print? At the first code!...

Share this post


Link to post
Share on other sites
BIGAL

If you look at my post in link above its a plot all. To only plot a few would require checking the sheet number an extra coding step. Or do by pick it would be easy to change the code to 1 at a time.

 

Try

(setq ss2 (ssget "x" '((0 . "INSERT")
replace with
(setq ss2 (ssget "M" '((0 . "INSERT")

Share this post


Link to post
Share on other sites
CafeJr
If you look at my post in link above its a plot all. To only plot a few would require checking the sheet number an extra coding step. Or do by pick it would be easy to change the code to 1 at a time.

 

Try

(setq ss2 (ssget "x" '((0 . "INSERT")
replace with
(setq ss2 (ssget "M" '((0 . "INSERT")

 

 

Thanks Bigal!... It helps!..

 

 

Someone knows how to do it to the Code at post #2 http://www.cadtutor.net/forum/showthread.php?67143-One-Click-Printing&p=459450&viewfull=1#post459450

Share this post


Link to post
Share on other sites
BIGAL

There are many ways to pick which ones as I said before I would use a range of sheets to be plotted eg 7-10 and it would check each one picked in the "all" but only plot those within the range. See this example for layouts go down it has multiple layout routines.

 

http://www.cadtutor.net/forum/showthread.php?84430-Move-layout-Rename-layouts-Goto-layout

Share this post


Link to post
Share on other sites
CafeJr
There are many ways to pick which ones as I said before I would use a range of sheets to be plotted eg 7-10 and it would check each one picked in the "all" but only plot those within the range. See this example for layouts go down it has multiple layout routines.

 

http://www.cadtutor.net/forum/showthread.php?84430-Move-layout-Rename-layouts-Goto-layout

 

 

Bigal!... Thanks a lot!!!...

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×